Post by Qphoria » Mon Nov 14, 2011 8:19 pm

DO NOT USE THIS IF RUNNING v1.5.2 OR LATER!!!!
DO NOT USE THIS IF RUNNING v1.5.2 OR LATER!!!!
DO NOT USE THIS IF RUNNING v1.5.2 OR LATER!!!!
DO NOT USE THIS IF RUNNING v1.5.2 OR LATER!!!!
THERE IS ALREADY AND UPDATED FILE IN LATER VERSIONS!!!!


I've updated the checkout.tpl file in opencart svn to improve error handling when there are problems with shipping, payment, etc. Instead of the old cryptic messages like:

SyntaxError: Unexpected <
SyntaxError: Unexpected Token
SyntaxError: Unexpected Character
SyntaxError: JSON.parse: unexpected character
Or if you click the Continue button but it never goes to the next step...

Like this:
Image

Now, with the new version, you will get full error messages with the reasoning:
Image

Important!
There was recently an update to vQmod (v2.1.5) that would resolve issues with multiple ajax callbacks causing file write locking which would throw hidden errors in the background. Since there are many ajax callbacks on the checkout page and a lot more error handling. If you are using vQmod on your site, you MUST update vQmod to the latest version to prevent any other ajax-related errors. Otherwise you will see a lot of false errors during checkout due to ajax callback conflicts.


GET THE LATEST VERSION OF VQMOD HERE
http://forum.opencart.com/viewtopic.php ... 40#p218172

DROP THE ATTACHED FILE INTO:
catalog/view/theme/default/template/checkout

If your custom theme has its own copy of "checkout.tpl" then you will need to delete that one so that it fallsback to the default's version of the file.

This change is in SVN and will be part of the core for the next release.
Only get this file if using 1.5.0 through 1.5.1.3
This will be in 1.5.2 and later builds by default so do NOT overwrite if using a version newer than 1.5.1.3.1

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am
Who is online

Users browsing this forum: No registered users and 2 guests